Bug 1198437 - [btrfs] incorrectly includes subvolid=5 in fstab for some mountpoints
Summary: [btrfs] incorrectly includes subvolid=5 in fstab for some mountpoints
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Blivet Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedFreezeException
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-04 07:02 UTC by Chris Murphy
Modified: 2016-08-19 21:28 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 12:55:18 UTC


Attachments (Terms of Use)
anaconda.log (51.80 KB, text/plain)
2015-03-04 07:03 UTC, Chris Murphy
no flags Details
storage.log (237.06 KB, text/plain)
2015-03-04 07:03 UTC, Chris Murphy
no flags Details
storage.state (36.00 KB, application/octet-stream)
2015-03-04 07:03 UTC, Chris Murphy
no flags Details
program.log (40.22 KB, text/plain)
2015-03-04 07:03 UTC, Chris Murphy
no flags Details
fstab (609 bytes, text/plain)
2015-03-04 07:03 UTC, Chris Murphy
no flags Details
btrfs subvolume list (624 bytes, text/plain)
2015-03-04 07:05 UTC, Chris Murphy
no flags Details

Description Chris Murphy 2015-03-04 07:02:27 UTC
Description of problem: 
Some /etc/fstab Btrfs lines contain subvolid=5. The subvolid and subvol mount options are mutually exclusive, so only one of them should be used. If subvolid is used, 5 is incorrect in all cases. This is a regression, it didn't happen with Fedora 21.

Version-Release number of selected component (if applicable):
anaconda 22.20.1-1

How reproducible:
Always for root and home, I don't know why the boot line doesn't have this option.


Steps to Reproduce:
1. Do a Btrfs install.

Actual results:

e.g. from fstab F22
UUID=<uuid> /home  btrfs   subvolid=5,subvol=home 0 0

e.g. from fstab F21
UUID=<uuid> /home  btrfs   subvol=home 0 0



Expected results:

a. Same as Fedora 21; OR

b. If using subvolid, then subvol needs to be omitted, and the number needs to be correct, the number 5 here is wrong (the subvolid for the home subvol on this volume is 297, subvolid 5 is the top level subvolume)


Additional info:

Comment 1 Chris Murphy 2015-03-04 07:03:05 UTC
Created attachment 997751 [details]
anaconda.log

Comment 2 Chris Murphy 2015-03-04 07:03:17 UTC
Created attachment 997752 [details]
storage.log

Comment 3 Chris Murphy 2015-03-04 07:03:26 UTC
Created attachment 997753 [details]
storage.state

Comment 4 Chris Murphy 2015-03-04 07:03:37 UTC
Created attachment 997754 [details]
program.log

Comment 5 Chris Murphy 2015-03-04 07:03:49 UTC
Created attachment 997755 [details]
fstab

Comment 6 Chris Murphy 2015-03-04 07:05:59 UTC
Created attachment 997756 [details]
btrfs subvolume list

Comment 7 Fedora Blocker Bugs Application 2015-04-02 03:05:53 UTC
Proposed as a Freeze Exception for 22-beta by Fedora user chrismurphy using the blocker tracking app because:

 This seems benign in that the 2nd (correct) subvolume does mount. But this is really an untested configuration so it could be pernicious. It's a regression, and also there's no mechanism to fix it after an installation - quite a few people do install beta and stick with that installation through final. But since I can't find an explicit criteria to make it a blocker, nominating it for FE.

Comment 8 Adam Williamson 2015-04-06 17:35:05 UTC
Discussed at 2015-04-06 freeze exception review meeting: https://meetbot.fedoraproject.org/fedora-blocker-review/2015-04-06/f22-blocker-review.2015-04-06-16.00.log.txt . As this doesn't seem to cause any identifiable practical problems, we couldn't see a justification for breaking the freeze, and it is rejected as an FE issue.

Comment 9 Fedora Admin XMLRPC Client 2015-09-28 20:26:19 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 10 Fedora End Of Life 2016-07-19 12:55:18 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 11 Adam Williamson 2016-08-19 21:14:03 UTC
was this ever fixed, cmurf?

Comment 12 Chris Murphy 2016-08-19 21:28:13 UTC
Yes.


Note You need to log in before you can comment on or make changes to this bug.